Dear All,
I’ve already checked the topic, “Auto Join Walls and Colums” and also tried “Element.JoinGeometry” node in ClockWork, but could not join beam to beam.
Is there any way to join beams with dynamo?
Best Regards,
Dear All,
I’ve already checked the topic, “Auto Join Walls and Colums” and also tried “Element.JoinGeometry” node in ClockWork, but could not join beam to beam.
Is there any way to join beams with dynamo?
Best Regards,
How do you join beams in Revit?
You can use Dynamo to apply coping the beams. There is a node “FamilyInstance.AddCoping” in the Clockwork package.
I should use, Beam/Column Joins Button
This Icon,
Do you thinik, AddCoping can also work like join for the beams that has same section size?
Thanks!
Depending on what you’re trying to achieve.
The beam/column joints just switches between different joint options.
In my humble experience, usually, when someone asks about joining beams, the solution is coping.
If you want to miter the ends of the beams, you can do it like this :
import clr
clr.AddReference('RevitAPI')
from Autodesk.Revit.DB import*
clr.AddReference('RevitServices')
from RevitServices.Persistence import DocumentManager
from RevitServices.Transactions import TransactionManager
doc = DocumentManager.Instance.CurrentDBDocument
if isinstance(IN[0],list):
beams = UnwrapElement(IN[0])
else:
beams = [UnwrapElement(IN[0])]
for b in beams:
eu = b.ExtensionUtility
TransactionManager.Instance.EnsureInTransaction(doc)
eu.set_Extended(0,True)
eu.set_Extended(1,True)
TransactionManager.Instance.TransactionTaskDone()
OUT = beams
Thank you so much! That is exaclty what I needed
Hi @Mostafa_El_Ayoubi
I tried to run your script but i got this python error, any solutions?